Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class SampleReference

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.std.movies.media.SampleReference

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SampleReference
extends QTPointerRef

The SampleReference class forms a general base class for information that can be constructed or gleaned about media samples and references.

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SampleReference()` Create a Sample Reference object from the SampleReferenceVector
`SampleReference(int dataOffset, int dataSize, int durationPerSample, int numberOfSamples, int sampleFlags)` This constructor creates a SampleReference object.

Method Summary
`int` | `getDataOffset()` The media sample's offset.
`int` | `getDataSize()` The media sample's data size.
`int` | `getDurationPerSample()` The media sample's duration per sample
`int` | `getFlags()` The flags for the media samples.
`int` | `getNumberOfSamples()` The number of samples.
`void` | `setDataOffset(int dataOffset)`
`void` | `setDataSize(int dataSize)`
`void` | `setDurationPerSample(int durationPerSample)`
`void` | `setFlags(int sampleFlags)`
`void` | `setNumberOfSamples(int numberOfSamples)`

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### SampleReference

    public SampleReference()
                    throws QTException

  Create a Sample Reference object from the SampleReferenceVector

### SampleReference

    public SampleReference(int dataOffset,
                           int dataSize,
                           int durationPerSample,
                           int numberOfSamples,
                           int sampleFlags)
                    throws QTException

  This constructor creates a SampleReference object.
  Parameters:
    `dataOffset` - an offset into the sample data.
    `dataSize` - Specifies media sample's data size.
    `durationPerSample` - Specifies media sample's duration.
    `numberOfSamples` - Specifies the number of samples.
    `sampleFlags` - Specifies flags for samples.

Method Detail

### getDataOffset

    public int getDataOffset()

  The media sample's offset.

### setDataOffset

    public void setDataOffset(int dataOffset)

### getDataSize

    public int getDataSize()

  The media sample's data size.

### setDataSize

    public void setDataSize(int dataSize)

### getDurationPerSample

    public int getDurationPerSample()

  The media sample's duration per sample

### setDurationPerSample

    public void setDurationPerSample(int durationPerSample)

### getNumberOfSamples

    public int getNumberOfSamples()

  The number of samples.

### setNumberOfSamples

    public void setNumberOfSamples(int numberOfSamples)

### getFlags

    public int getFlags()

  The flags for the media samples.

### setFlags

    public void setFlags(int sampleFlags)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD